import { API_CONFIG as e } from "../../constants/server.constants.mjs";
import { SNAPSHOT_SERVER_URL as t } from "../../API/getServerURL.mjs";
import { httpClient as n } from "../../data-structures/http/HttpClient.mjs";
//#region libs/shared/common/src/functions/snarkjs/fetchMerkleTreeSiblings.ts
var r = async (r, i, a) => {
	let o = i.map((e) => e.map((e) => ({
		...e,
		amount: e.amount.toString(),
		randomization: e.randomization?.toString()
	})));
	return await n.post(`${t}${e.ROUTES.getMerkleTreeSiblings}`, {
		inputUtxosSerialized: o,
		accessKey: a,
		chainId: r
	});
};
//#endregion
export { r as fetchMerkleTreeSiblings };
